 .image-container {
    position: relative;
    display: inline-block;
  }
.salspeaks {
    position: absolute;
    top: 10%;
    left: 70%;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    font-size: 16px;
    display: none;
  }
  .image-container:hover .salspeaks {
    display: block;
  }
  @keyframes flicker {
    100% { width: 0%; opacity: 1; }
    25% { width: 100%; opacity: 0.5; }
    75% { width: 0%; opacity: 1; }
    50% {width: 100%; opacity: 0.5; }
}
.flicker-strikethrough {
     position: relative;
    display: inline-block;
}

.flicker-strikethrough::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 50%;
    width: 100%;
    height: 2px;
    background-color: red;
    animation: flicker 1.5s infinite;
}
.typewriter {
    font-size: 12px;
    font-family: monospace;
    overflow: hidden;
    border-right: 2px solid black;
    white-space: nowrap;
    width: 0;
    animation: typing 2s steps(12) forwards, blink 0.6s infinite;
}

@keyframes typing {
    from { width: 0; }
    to { width: 100%; }
}

@keyframes blink {
    50% { border-color: transparent; }
}
.wave-text span {
    display: inline-block;
    font-size: 12px;
    animation: wave 1s infinite ease-in-out;
}

@keyframes wave {
    0%, 100% { transform: translateY(0); }
    50% { transform: translateY(-10px); }
}
.wave-text span:nth-child(1) { animation-delay: 0s; }
.wave-text span:nth-child(2) { animation-delay: 0.5s; }
.wave-text span:nth-child(3) { animation-delay: 0.6s; }
.wave-text span:nth-child(4) { animation-delay: 0.3s; }
.wave-text span:nth-child(5) { animation-delay: 0.4s; }
.wave-text span:nth-child(6) { animation-delay: 0.1s; }
.wave-text span:nth-child(7) { animation-delay: 0.2s; }